#include "gaamscomm.h"

extern INFO info;

int8_t pipe_send (const GAAMSCOMM_EVENT *ev)
{
	int ret;
	char buf[4096];

#ifndef OS_WIN
	int fd;
#endif

	if ( (ret = gaamscomm_prepare_output (ev, buf, sizeof (buf) - 2)) != 0) {
		return ret;
	}

	ret = 0;

	//p_printf ("PIPE: %s", buf);
#ifndef OS_WIN
	strcat (buf, "\n");
	fd = open (info.url + 5, O_WRONLY | O_NONBLOCK);
	if (fd < 0) {
		ret = -1;
	} else {
		if (write (fd, buf, strlen (buf)) != (int) strlen (buf)) {
			ret = -2;
		}
		close (fd);
	}
#else
	ret = -3;
#endif

	return ret;
}
